Name:           python-grequests
Version:        0.2.0
Release:        %mkrel 3
Summary:        Requests + Gevent
License:        BSD
Group:          Development/Python
Url:            https://github.com/kennethreitz/grequests
Source:         http://pypi.python.org/packages/source/g/grequests/grequests-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-gevent
Requires:       python-requests
BuildArch:      noarch

%description
GRequests allows you to use Requests with Gevent to make asyncronous HTTP
Requests easily.

Usage
-----

Usage is simple::

    import grequests

    urls = [
        'http://www.heroku.com',
        'http://tablib.org',
        'http://httpbin.org',
        'http://python-requests.org',
        'http://kennethreitz.com'
    ]

Create a set of unsent Requests::

    >>> rs = (grequests.get(u) for u in urls)

Send them all at the same time::

    >>> grequests.map(rs)
    [<Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>]

%prep
%setup -q -n grequests-%{version}
cp %{SOURCE1} .

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%doc LICENSE
%{python_sitelib}/*


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.2.0-3.mga6
+ Revision: 941945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 742528
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 juancho <juancho> 0.2.0-1.mga5
+ Revision: 737253
- Added missing Requires on python-requests
- Updated to 0.2.0

* Tue Oct 07 2014 juancho <juancho> 0.1.0-1.mga5
+ Revision: 737246
- imported package python-grequests

